---
title: extern
layout: command
version: 0.59.1
---

Define a signature for an external command

## Signature

```> extern (def_name) (params)```

## Parameters

 -  `def_name`: definition name
 -  `params`: parameters

## Examples

Write a signature for an external command
```shell
> extern echo [text: string]
```
